
package com.tmerclub.cloud.group.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团活动商品规格VO
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
public class GroupSkuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团活动商品规格id")
    private Long groupSkuId;

    @Schema(description = "拼团活动id")
    private Long groupActivityId;

    @Schema(description = "商品规格id")
    private Long skuId;

    @Schema(description = "活动价格")
    private Long actPrice;

    @Schema(description = "商品sku价格")
    private Long price;

    @Schema(description = "已售数量")
    private Long sellNum;

    @Schema(description = "sku名称")
    private String skuName;

    public Long getGroupSkuId() {
        return groupSkuId;
    }

    public void setGroupSkuId(Long groupSkuId) {
        this.groupSkuId = groupSkuId;
    }

    public Long getGroupActivityId() {
        return groupActivityId;
    }

    public void setGroupActivityId(Long groupActivityId) {
        this.groupActivityId = groupActivityId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getActPrice() {
        return actPrice;
    }

    public void setActPrice(Long actPrice) {
        this.actPrice = actPrice;
    }

    public Long getSellNum() {
        return sellNum;
    }

    public void setSellNum(Long sellNum) {
        this.sellNum = sellNum;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "GroupSkuVO{" +
                "groupSkuId=" + groupSkuId +
                ",groupActivityId=" + groupActivityId +
                ",skuId=" + skuId +
                ",actPrice=" + actPrice +
                ",price=" + price +
                ",sellNum=" + sellNum +
                ",skuName=" + skuName +
                '}';
    }
}
